Package com.enonic.xp.content

## Class DuplicateContentParams

- java.lang.Object
- - com.enonic.xp.content.DuplicateContentParams

-     @PublicApi
      public final class DuplicateContentParams
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DuplicateContentParams.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DuplicateContentParams​(DuplicateContentParams.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DuplicateContentParams.Builder` | `create()` |
    `DuplicateContentParams` | `creator​(PrincipalKey creator)` | Deprecated.
    `boolean` | `equals​(Object o)` |
    `ContentId` | `getContentId()` |
    `PrincipalKey` | `getCreator()` | Deprecated.
    `DuplicateContentListener` | `getDuplicateContentListener()` |
    `Boolean` | `getIncludeChildren()` |
    `String` | `getName()` |
    `ContentPath` | `getParent()` |
    `WorkflowInfo` | `getWorkflowInfo()` |
    `int` | `hashCode()` |
    `boolean` | `isVariant()` |
    `void` | `validate()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DuplicateContentParams

          public DuplicateContentParams​(DuplicateContentParams.Builder builder)

  - ### Method Detail

    - #### create

          public static DuplicateContentParams.Builder create()

    - #### getContentId

          public ContentId getContentId()

    - #### creator

          @Deprecated
          public DuplicateContentParams creator​(PrincipalKey creator)

      Deprecated.

    - #### getDuplicateContentListener

          public DuplicateContentListener getDuplicateContentListener()

    - #### getCreator

          @Deprecated
          public PrincipalKey getCreator()

      Deprecated.

    - #### getWorkflowInfo

          public WorkflowInfo getWorkflowInfo()

    - #### getIncludeChildren

          public Boolean getIncludeChildren()

    - #### isVariant

          public boolean isVariant()

    - #### getName

          public String getName()

    - #### getParent

          public ContentPath getParent()

    - #### validate

          @Deprecated
          public void validate()

      Deprecated.

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`